#version 430 core

uniform sampler2D image;
uniform sampler2D lensFlare;
uniform sampler2D bloom;

in vec2 uv;

out vec4 result;

void main() {

	result = vec4(texture(image, uv).rgb + texture(lensFlare, uv).rgb + texture(bloom, uv).rgb, 1.0); //

	/*const float gamma = 2.2;     
    vec3 c = vec3(1.0) - exp(-result.rgb);     
    c = pow(c, vec3(1.0 / gamma));
    result = vec4(c, 1.0);*/
	
}