#version 430 core
/*
* Copyright 2018 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 uv;


out vec3 position_world_CS;
out vec3 normal_world_CS;
out vec2 uv_CS;


uniform mat4 modelMatrix;
uniform mat4 normalMatrix;

void main() {

	normal_world_CS = (normalMatrix * vec4(normal, 1)).xyz;
	uv_CS = uv;
	vec4 position_world_ = modelMatrix * vec4(position, 1);
	position_world_CS = position_world_.xyz;
}